\begin{latin}
	\begin{tikzpicture}[x=0.75pt,y=0.75pt,yscale=-1,xscale=1]
	%uncomment if require: \path (0,259); %set diagram left start at 0, and has height of 259
	
	%Shape: Rectangle [id:dp8428750508396599] 
	\draw   (38.5,49) -- (120,49) -- (120,90) -- (38.5,90) -- cycle ;
	
	%Shape: Rectangle [id:dp41122943017363855] 
	\draw   (38.5,130) -- (120,130) -- (120,170) -- (38.5,170) -- cycle ;
	
	%Shape: Rectangle [id:dp18286896609430903] 
	\draw   (38.5,90) -- (120,90) -- (120,130) -- (38.5,130) -- cycle ;
	
	%Shape: Rectangle [id:dp8430941768242757] 
	\draw   (440,59) -- (520,59) -- (520,100) -- (440,100) -- cycle ;
	
	%Shape: Rectangle [id:dp8332290012923858] 
	\draw   (440,200) -- (520,200) -- (520,240) -- (440,240) -- cycle ;
	
	%Shape: Rectangle [id:dp11754936269487914] 
	\draw   (440,129) -- (520,129) -- (520,170) -- (440,170) -- cycle ;
	
	%Straight Lines [id:da8358447320048874] 
	\draw    (120,70) -- (440,80) ;
	
	
	%Straight Lines [id:da7768159580811915] 
	\draw    (120,110) -- (440,150) ;
	
	
	%Straight Lines [id:da7599771774029493] 
	\draw    (120,150) -- (440,220) ;
	
	
	
	% Text Node
	\draw (79.25,69.5) node  [align=left] {Peer 1};
	% Text Node
	\draw (79.25,150) node  [align=left] {Peer 3};
	% Text Node
	\draw (79.25,110) node  [align=left] {Peer 2};
	% Text Node
	\draw (81,11) node  [align=left] {Server side};
	% Text Node
	\draw (468,9) node  [align=left] {Client(s) side};
	% Text Node
	\draw (480,149.5) node  [align=left] {Peer 2};
	% Text Node
	\draw (480,220) node  [align=left] {Peer 3};
	% Text Node
	\draw (480,79.5) node  [align=left] {Peer 1};
	% Text Node
	\draw (467.5,51) node  [align=left] {Client 1};
	% Text Node
	\draw (467.5,121) node  [align=left] {Client 2};
	% Text Node
	\draw (467.5,191) node  [align=left] {Client 3};
	
	
	\end{tikzpicture}
\end{latin}